## WDA Get Data Format request WDA Get Data Format request |

## Functions

QmiMessageWdaGetDataFormatInput * | qmi_message_wda_get_data_format_input_new ()
QmiMessageWdaGetDataFormatInput * | qmi_message_wda_get_data_format_input_ref ()
void | qmi_message_wda_get_data_format_input_unref ()
gboolean | qmi_message_wda_get_data_format_input_get_endpoint_info ()
gboolean | qmi_message_wda_get_data_format_input_set_endpoint_info ()
QmiMessageWdaGetDataFormatOutput * | qmi_message_wda_get_data_format_output_ref ()
void | qmi_message_wda_get_data_format_output_unref ()
gboolean | qmi_message_wda_get_data_format_output_get_result ()
gboolean | qmi_message_wda_get_data_format_output_get_qos_format ()
gboolean | qmi_message_wda_get_data_format_output_get_link_layer_protocol ()
gboolean | qmi_message_wda_get_data_format_output_get_uplink_data_aggregation_protocol ()
gboolean | qmi_message_wda_get_data_format_output_get_downlink_data_aggregation_protocol ()
gboolean | qmi_message_wda_get_data_format_output_get_ndp_signature ()
gboolean | qmi_message_wda_get_data_format_output_get_downlink_data_aggregation_max_datagrams ()
gboolean | qmi_message_wda_get_data_format_output_get_downlink_data_aggregation_max_size ()
void | qmi_client_wda_get_data_format ()
QmiMessageWdaGetDataFormatOutput * | qmi_client_wda_get_data_format_finish ()

## Types and Values

| QmiMessageWdaGetDataFormatInput
| QmiMessageWdaGetDataFormatOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdaGetDataFormatInput
        ╰── QmiMessageWdaGetDataFormatOutput

## Description

## Functions

### qmi_message_wda_get_data_format_input_new ()

    QmiMessageWdaGetDataFormatInput *
    qmi_message_wda_get_data_format_input_new
                                   (void);

Allocates a new QmiMessageWdaGetDataFormatInput.

#### Returns

the newly created QmiMessageWdaGetDataFormatInput. The returned value should be freed with `qmi_message_wda_get_data_format_input_unref()`.

Since: 1.10

### qmi_message_wda_get_data_format_input_ref ()

    QmiMessageWdaGetDataFormatInput *
    qmi_message_wda_get_data_format_input_ref
                                   (QmiMessageWdaGetDataFormatInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdaGetDataFormatInput. |

#### Returns

the new reference to `self` .

Since: 1.10

### qmi_message_wda_get_data_format_input_unref ()

    void
    qmi_message_wda_get_data_format_input_unref
                                   (QmiMessageWdaGetDataFormatInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdaGetDataFormatInput. |

Since: 1.10

### qmi_message_wda_get_data_format_input_get_endpoint_info ()

    gboolean
    qmi_message_wda_get_data_format_input_get_endpoint_info
                                   (QmiMessageWdaGetDataFormatInput *self,
                                    QmiDataEndpointType *value_endpoint_info_endpoint_type,
                                    guint32 *value_endpoint_info_interface_number,
                                    GError **error);

Get the 'Endpoint Info' field from `self` .

#### Parameters

self | a QmiMessageWdaGetDataFormatInput. |
value_endpoint_info_endpoint_type | a placeholder for the output QmiDataEndpointType, or `NULL` if not required. | [out]
value_endpoint_info_interface_number | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_wda_get_data_format_input_set_endpoint_info ()

    gboolean
    qmi_message_wda_get_data_format_input_set_endpoint_info
                                   (QmiMessageWdaGetDataFormatInput *self,
                                    QmiDataEndpointType value_endpoint_info_endpoint_type,
                                    guint32 value_endpoint_info_interface_number,
                                    GError **error);

Set the 'Endpoint Info' field in the message.

#### Parameters

self | a QmiMessageWdaGetDataFormatInput. |
value_endpoint_info_endpoint_type | a QmiDataEndpointType. |
value_endpoint_info_interface_number | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_wda_get_data_format_output_ref ()

    QmiMessageWdaGetDataFormatOutput *
    qmi_message_wda_get_data_format_output_ref
                                   (QmiMessageWdaGetDataFormatOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |

#### Returns

the new reference to `self` .

Since: 1.10

### qmi_message_wda_get_data_format_output_unref ()

    void
    qmi_message_wda_get_data_format_output_unref
                                   (QmiMessageWdaGetDataFormatOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |

Since: 1.10

### qmi_message_wda_get_data_format_output_get_result ()

    gboolean
    qmi_message_wda_get_data_format_output_get_result
                                   (QmiMessageWdaGetDataFormatOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.10

### qmi_message_wda_get_data_format_output_get_qos_format ()

    gboolean
    qmi_message_wda_get_data_format_output_get_qos_format
                                   (QmiMessageWdaGetDataFormatOutput *self,
                                    gboolean *value_qos_format,
                                    GError **error);

Get the 'QoS Format' field from `self` .

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |
value_qos_format | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.10

### qmi_message_wda_get_data_format_output_get_link_layer_protocol ()

    gboolean
    qmi_message_wda_get_data_format_output_get_link_layer_protocol
                                   (QmiMessageWdaGetDataFormatOutput *self,
                                    QmiWdaLinkLayerProtocol *value_link_layer_protocol,
                                    GError **error);

Get the 'Link Layer Protocol' field from `self` .

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |
value_link_layer_protocol | a placeholder for the output QmiWdaLinkLayerProtocol, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.10

### qmi_message_wda_get_data_format_output_get_uplink_data_aggregation_protocol ()

    gboolean
    qmi_message_wda_get_data_format_output_get_uplink_data_aggregation_protocol
                                   (QmiMessageWdaGetDataFormatOutput *self,
                                    QmiWdaDataAggregationProtocol *value_uplink_data_aggregation_protocol,
                                    GError **error);

Get the 'Uplink Data Aggregation Protocol' field from `self` .

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |
value_uplink_data_aggregation_protocol | a placeholder for the output QmiWdaDataAggregationProtocol, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.10

### qmi_message_wda_get_data_format_output_get_downlink_data_aggregation_protocol ()

    gboolean
    qmi_message_wda_get_data_format_output_get_downlink_data_aggregation_protocol
                                   (QmiMessageWdaGetDataFormatOutput *self,
                                    QmiWdaDataAggregationProtocol *value_downlink_data_aggregation_protocol,
                                    GError **error);

Get the 'Downlink Data Aggregation Protocol' field from `self` .

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |
value_downlink_data_aggregation_protocol | a placeholder for the output QmiWdaDataAggregationProtocol, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.10

### qmi_message_wda_get_data_format_output_get_ndp_signature ()

    gboolean
    qmi_message_wda_get_data_format_output_get_ndp_signature
                                   (QmiMessageWdaGetDataFormatOutput *self,
                                    guint32 *value_ndp_signature,
                                    GError **error);

Get the 'NDP Signature' field from `self` .

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |
value_ndp_signature | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.10

### qmi_message_wda_get_data_format_output_get_downlink_data_aggregation_max_datagrams ()

    gboolean
    qmi_message_wda_get_data_format_output_get_downlink_data_aggregation_max_datagrams
                                   (QmiMessageWdaGetDataFormatOutput *self,
                                    guint32 *value_downlink_data_aggregation_max_datagrams,
                                    GError **error);

Get the 'Downlink Data Aggregation Max Datagrams' field from `self` .

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |
value_downlink_data_aggregation_max_datagrams | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24.6

### qmi_message_wda_get_data_format_output_get_downlink_data_aggregation_max_size ()

    gboolean
    qmi_message_wda_get_data_format_output_get_downlink_data_aggregation_max_size
                                   (QmiMessageWdaGetDataFormatOutput *self,
                                    guint32 *value_downlink_data_aggregation_max_size,
                                    GError **error);

Get the 'Downlink Data Aggregation Max Size' field from `self` .

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |
value_downlink_data_aggregation_max_size | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.10

### qmi_client_wda_get_data_format ()

    void
    qmi_client_wda_get_data_format (QmiClientWda *self,
                                    QmiMessageWdaGetDataFormatInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get Data Format request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wda_get_data_format_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWda. |
input | a QmiMessageWdaGetDataFormatInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.10

### qmi_client_wda_get_data_format_finish ()

    QmiMessageWdaGetDataFormatOutput *
    qmi_client_wda_get_data_format_finish (QmiClientWda *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_wda_get_data_format()`.

#### Parameters

self | a QmiClientWda. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wda_get_data_format()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdaGetDataFormatOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wda_get_data_format_output_unref()`.

Since: 1.10

## Types and Values

### QmiMessageWdaGetDataFormatInput

    typedef struct _QmiMessageWdaGetDataFormatInput QmiMessageWdaGetDataFormatInput;

The QmiMessageWdaGetDataFormatInput structure contains private data and should only be accessed using the provided API.

Since: 1.10

### QmiMessageWdaGetDataFormatOutput

    typedef struct _QmiMessageWdaGetDataFormatOutput QmiMessageWdaGetDataFormatOutput;

The QmiMessageWdaGetDataFormatOutput structure contains private data and should only be accessed using the provided API.

Since: 1.10